For the complete documentation index, see llms.txt. This page is also available as Markdown.

/v1/bulk

/v1/bulk

post

Initiate a bulk email verification.

Authorizations
AuthorizationstringRequired

A Reacher API key is required for all requests. Sign up on https://reacher.email to get your personal API key.

Body
inputstring[]Required

A list of emails to verify.

Responses
200

OK

application/json
job_idintegerRequired

The unique ID generated for this bulk verification job. Use this job_id to query the progress or results of the bulk verification.

post/v1/bulk
POST /v1/bulk HTTP/1.1
Host: api.reacher.email
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 72

{
  "input": [
    "text"
  ],
  "webhook": {
    "on_each_email": {
      "url": "text",
      "extra": {}
    }
  }
}
200

OK

{
  "job_id": 1
}

/v1/bulk/{job_id}

get

Retrieve the progress of a bulk verification job.

Authorizations
AuthorizationstringRequired

A Reacher API key is required for all requests. Sign up on https://reacher.email to get your personal API key.

Path parameters
job_idintegerRequired

The unique bulk verification job ID

Responses
200

OK

application/json
job_idintegerRequired
created_atstring · date-timeRequired

The date and time when the bulk verification job was created.

finished_atstring · date-timeOptional

If the bulk verification job is completed, the date and time when it was finished.

total_recordsintegerRequired

The number of emails to verify in the bulk verification job.

total_processedintegerRequired

The number of emails that have been verified at the time of the query.

job_statusundefined · enumRequired

The status of the job, either "Running" or "Completed".

Possible values:
get/v1/bulk/{job_id}
GET /v1/bulk/{job_id} HTTP/1.1
Host: api.reacher.email
Authorization: YOUR_API_KEY
Accept: */*
200

OK

{
  "job_id": 1,
  "created_at": "2026-01-01T00:00:00.000Z",
  "finished_at": "2026-01-01T00:00:00.000Z",
  "total_records": 1,
  "total_processed": 1,
  "summary": {
    "total_safe": 1,
    "total_invalid": 1,
    "total_risky": 1,
    "total_unknown": 1
  },
  "job_status": "Running"
}

Retrieve bulk verification results

get

Retrieve the results of a bulk verification job. This endpoint will return an error if the job is still running. Please query GET /v1/bulk/{job_id} first to check the job's progress.

Authorizations
AuthorizationstringRequired

A Reacher API key is required for all requests. Sign up on https://reacher.email to get your personal API key.

Path parameters
job_idstringRequired

The unique bulk verification job ID

Query parameters
limitintegerOptional

The number of results to return.

Default: 50
offsetintegerOptional

The offset from which to return the results, equivalent to the number of elements in the array to skip.

Responses
200

OK

application/json
get/v1/bulk/{job_id}/results
GET /v1/bulk/{job_id}/results HTTP/1.1
Host: api.reacher.email
Authorization: YOUR_API_KEY
Accept: */*
200

OK

{
  "results": {
    "input": "name@gmail.com",
    "is_reachable": "invalid",
    "misc": {
      "is_disposable": true,
      "is_role_account": true,
      "gravatar_url": "text",
      "is_b2c": true
    },
    "mx": {
      "accepts_mail": true,
      "records": [
        "text"
      ]
    },
    "smtp": {
      "can_connect_smtp": true,
      "has_full_inbox": true,
      "is_catch_all": true,
      "is_deliverable": true,
      "is_disabled": true
    },
    "syntax": {
      "domain": "text",
      "is_valid_syntax": true,
      "username": "text"
    },
    "debug": {
      "start_time": "text",
      "end_time": "text",
      "duration": {
        "secs": 1,
        "nanos": 1
      },
      "server_name": "text",
      "smtp": {
        "verif_method": {
          "type": "Smtp"
        }
      }
    }
  }
}

Last updated